Index: /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/makenemo
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/makenemo	(revision 2383)
+++ /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/makenemo	(revision 2384)
@@ -271,6 +271,11 @@
 
 #- and test whether we need to build the ioserver
+if [ "$AGRIFUSE" == 1 ]; then
+export USEBLD=bld_afterconvxio.cfg
+grep key_iomput ${COMPIL_DIR}/cpp.fcm && export USEBLD=bld_afterconv.cfg
+else
 export USEBLD=bldxio.cfg
 grep key_iomput ${COMPIL_DIR}/cpp.fcm && export USEBLD=bld.cfg
+fi
 
 #-
@@ -283,16 +288,16 @@
 if [ "${NBR_PRC}" -gt 0 ]; then
     cd ${NEMO_TDIR}/${NEW_CONF} || cd -
-    
-#if AGRIF we do a first preprocessing
     if [ ${#x_c} -eq 0 ]; then
-	[ "$AGRIFUSE" == 1 ] && fcm build --ignore-lock -s 2 ${COMPIL_DIR}/$USEBLD 
-	[ "$AGRIFUSE" == 1 ] && rm -rf  ${NEMO_TDIR}/${NEW_CONF}/BLD/*
-    fi
-    fcm build ${x_c} --ignore-lock -v 1 -j ${NBR_PRC} ${COMPIL_DIR}/$USEBLD || cd -
-    [ -f ${NEMO_TDIR}/${NEW_CONF}/BLD/bin/nemo.exe ] && ln -sf ${NEMO_TDIR}/${NEW_CONF}/BLD/bin/nemo.exe  ${CONFIG_DIR}/${NEW_CONF}/EXP00/opa
-    [ -f ${NEMO_TDIR}/${NEW_CONF}/BLD/bin/server.exe ] && ln -sf ${NEMO_TDIR}/${NEW_CONF}/BLD/bin/server.exe  ${CONFIG_DIR}/${NEW_CONF}/EXP00/server.exe
-    
-#add remove for clean option
-    if  [ ${#x_c} -ne 0 ]; then
+       if [ "$AGRIFUSE" == 1 ]; then
+	  fcm build --ignore-lock -s 2 ${COMPIL_DIR}/bld_agrif1.cfg
+	  fcm build --ignore-lock -s 2 ${COMPIL_DIR}/bld_agrif2.cfg
+          touch ${NEMO_TDIR}/${NEW_CONF}/BLD/OPAFILES/BLD1/ppsrc/nemo/*
+	  fcm build --ignore-lock -s 2 ${COMPIL_DIR}/bld_agrif2.cfg
+	  fcm build --ignore-lock -s 2 ${COMPIL_DIR}/bld_agrif3.cfg
+       fi
+       fcm build ${x_c} --ignore-lock -v 1 -j ${NBR_PRC} ${COMPIL_DIR}/$USEBLD || cd -
+       [ -f ${NEMO_TDIR}/${NEW_CONF}/BLD/bin/nemo.exe ] && ln -sf ${NEMO_TDIR}/${NEW_CONF}/BLD/bin/nemo.exe  ${CONFIG_DIR}/${NEW_CONF}/EXP00/opa
+       [ -f ${NEMO_TDIR}/${NEW_CONF}/BLD/bin/server.exe ] && ln -sf ${NEMO_TDIR}/${NEW_CONF}/BLD/bin/server.exe  ${CONFIG_DIR}/${NEW_CONF}/EXP00/server.exe
+    else 
 	rm -rf ${NEMO_TDIR}/${NEW_CONF}/WORK
 	rm -rf ${NEMO_TDIR}/${NEW_CONF}/BLD
@@ -301,5 +306,4 @@
 	echo "cleaning ${NEW_CONF} WORK, BLD"
     fi
-    
 fi
 
Index: /branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 2383)
+++ /branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 2384)
@@ -23,4 +23,5 @@
    USE iom             ! I/O module
    USE restart         ! restart
+   USE closea
 
    IMPLICIT NONE
@@ -425,5 +426,4 @@
       !!                rnfmsk_z vertical structure
       !!----------------------------------------------------------------------
-      USE closea, ONLY :    clo_rnf   ! rnfmsk update routine
       !
       INTEGER           ::   inum        ! temporary integers
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 2383)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 2384)
@@ -66,2 +66,3 @@
 unset -v COMPIL_DIR
 unset -v NEMO_DIR
+unset -v USEBLD
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 2383)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 2384)
@@ -63,9 +63,8 @@
 
 #- AGRIF sources
-[ ! -d $2/$1/OPAFILES ] && mkdir  $2/$1/OPAFILES
-[ ! -d $2/$1/OPAFILES/AGRIF_INC ] && mkdir  $2/$1/OPAFILES/AGRIF_INC
-[ ! -d $2/$1/OPAFILES/AGRIF_MODELFILES ] && mkdir  $2/$1/OPAFILES/AGRIF_MODELFILES
-cp -f -r ${MAIN_DIR}/EXTERNAL/AGRIF/agrif_opa.in  $2/$1/OPAFILES/
-cp -f -r ${MAIN_DIR}/EXTERNAL/AGRIF/conv  $2/$1/OPAFILES/
+[ ! -d $2/$1/BLD/OPAFILES ] && mkdir  $2/$1/BLD/OPAFILES
+[ ! -d $2/$1/BLD/OPAFILES/AGRIF_MODELFILES ] && mkdir  $2/$1/BLD/OPAFILES/AGRIF_MODELFILES
+cp -f -r ${MAIN_DIR}/EXTERNAL/AGRIF/agrif_opa.in  $2/$1/BLD/OPAFILES/
+cp -f -r ${MAIN_DIR}/EXTERNAL/AGRIF/conv  $2/$1/BLD/OPAFILES/
 
 fi
Index: anches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp.sh
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp.sh	(revision 2383)
+++ 	(revision )
@@ -1,90 +1,0 @@
-#!/bin/bash
-#set -x
-set -o posix
-#set -u
-#set -e
-#+
-#
-
-# ==========
-# agrifpp.sh
-# ==========
-#
-# ----------------------------
-# Preform AGrif pre-processing
-# ----------------------------
-#
-# SYNOPSIS
-# ========
-#
-# ::
-#
-#  $ agrifpp.sh
-#
-#
-# DESCRIPTION
-# ===========
-#
-#
-# Look after key agrif
-#
-# EXAMPLES
-# ========
-#
-# ::
-#
-#  $ ./agrifpp.sh 1 -Dkey
-# 
-#  or
-#
-#  $ ./agrifpp.sh -Dkey
-#
-# TODO
-# ====
-#
-# option debug
-#
-#
-# EVOLUTIONS
-# ==========
-#
-# $Id$
-#
-#
-#
-#   * creation
-#
-#-
-
-if [ "$1" == "1" ]; then
-   shift
-   MYFILE=`echo $* |awk -F" " '{print $NF}' `  
-   FPP_OPT=` echo $* |awk '{  for (i=1 ; i<NF ; i++ )  { printf " %s",  $i } }'`
-
-
-   if [ "${MYFILE}" != "par_oce.F90" -a  ! -f ${NEMO_TDIR}/${NEW_CONF}}/OPAFILES/param_done ]; then
-      cpp ${FPP_OPT} ${CONFIG_DIR}/${NEW_CONF}/WORK/par_oce.F90 > ${NEMO_TDIR}/${NEW_CONF}/OPAFILES/par_oce.F90
-      (cd ${NEMO_TDIR}/${NEW_CONF}/OPAFILES ; ${NEMO_TDIR}/${NEW_CONF}/OPAFILES/conv agrif_opa.in -rm -comdirin ./ -comdirout AGRIF_MODELFILES/ -convfile par_oce.F90 > /dev/null )
-      cpp ${FPP_OPT}  -I${NEMO_TDIR}/${NEW_CONF}/OPAFILES/AGRIF_INC  ${NEMO_TDIR}/${NEW_CONF}/OPAFILES/AGRIF_MODELFILES/par_oce.F90 > ${NEMO_TDIR}/${NEW_CONF}/OPAFILES/par_oce.F90
-      touch ${NEMO_TDIR}/${NEW_CONF}/OPAFILES/param_done
-   elif  [ "${MYFILE}" == "par_oce.F90" -a -f ${NEMO_TDIR}/${NEW_CONF}/OPAFILES/param_done ] ; then
-      cd  ${NEMO_TDIR}/${NEW_CONF}/OPAFILES
-      cpp ${FPP_OPT} -I${NEMO_TDIR}/${NEW_CONF}/OPAFILES/AGRIF_INC ${MYFILE}
-      exit
-   fi
-
-   if [ "${MYFILE}" == agrif2model.F90 ]; then
-      cpp  -I${NEMO_TDIR}/${NEW_CONF}/OPAFILES/AGRIF_INC $@
-      exit
-   fi 
-
-   cpp  -I${NEMO_TDIR}/${NEW_CONF}/OPAFILES/AGRIF_INC $@ > ${NEMO_TDIR}/${NEW_CONF}/OPAFILES/${MYFILE}
-   ( cd ${NEMO_TDIR}/${NEW_CONF}/OPAFILES ; ${NEMO_TDIR}/${NEW_CONF}/OPAFILES/conv agrif_opa.in -rm -comdirin ./ -comdirout AGRIF_MODELFILES/ -convfile ${MYFILE} > /dev/null )
-   cd  ${NEMO_TDIR}/${NEW_CONF}
-   mv -f OPAFILES/AGRIF_MODELFILES/${MYFILE} OPAFILES/${MYFILE}
-   cpp ${FPP_OPT} -IOPAFILES/AGRIF_INC OPAFILES/${MYFILE} 
-else
-   shift
-   cpp $@
-fi
-
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp1.sh
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp1.sh	(revision 2384)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp1.sh	(revision 2384)
@@ -0,0 +1,74 @@
+#!/bin/bash
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+
+# ===========
+# agrifpp1.sh
+# ===========
+#
+# ----------------------------
+# Preform AGrif pre-processing
+# ----------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ agrifpp1.sh
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# Look after key agrif
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./agrifpp1.sh 1 -Dkey
+# 
+#  or
+#
+#  $ ./agrifpp1.sh -Dkey
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#
+#
+#   * creation
+#
+#-
+
+if [ "$1" == "1" ]; then
+   shift
+   MYFILE=`echo $* |awk -F" " '{print $NF}' `  
+   FPP_OPT=` echo $* |awk '{  for (i=1 ; i<NF ; i++ )  { printf " %s",  $i } }'`
+
+   if [ "${MYFILE}" == agrif2model.F90 ]; then
+      cat ${MYFILE}
+      exit
+   fi 
+   cpp $@
+
+else
+   shift
+   cpp $@
+fi
+
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp2.sh
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp2.sh	(revision 2384)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp2.sh	(revision 2384)
@@ -0,0 +1,71 @@
+#!/bin/bash
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+
+# ===========
+# agrifpp2.sh
+# ===========
+#
+# ----------------------------
+# Preform AGrif pre-processing
+# ----------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ agrifpp2.sh
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# Look after key agrif
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./agrifpp2.sh 1 -Dkey
+# 
+#  or
+#
+#  $ ./agrifpp2.sh -Dkey
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#
+#
+#   * creation
+#
+#-
+
+if [ "$1" == "1" ]; then
+   shift
+   MYFILE=`echo $* |awk -F" " '{print $NF}' `  
+   FPP_OPT=` echo $* |awk '{  for (i=1 ; i<NF ; i++ )  { printf " %s",  $i } }'`
+
+[ ! -d ${NEMO_TDIR}/${NEW_CONF}/BLD/OPAFILES/BLD1/ppsrc/nemo/AGRIF_INC ] && mkdir  ${NEMO_TDIR}/${NEW_CONF}/BLD/OPAFILES/BLD1/ppsrc/nemo/AGRIF_INC
+
+   ${NEMO_TDIR}/${NEW_CONF}/BLD/OPAFILES/conv ${NEMO_TDIR}/${NEW_CONF}/BLD/OPAFILES/agrif_opa.in -rm -comdirin ${NEMO_TDIR}/${NEW_CONF}/BLD/OPAFILES/BLD1/ppsrc/nemo/ -comdirout ${NEMO_TDIR}/${NEW_CONF}/BLD/OPAFILES/AGRIF_MODELFILES/ -convfile ${MYFILE}   > /dev/null
+   cpp ${FPP_OPT} -I${NEMO_TDIR}/${NEW_CONF}/BLD/OPAFILES/BLD1/ppsrc/nemo/AGRIF_INC ${NEMO_TDIR}/${NEW_CONF}/BLD/OPAFILES/AGRIF_MODELFILES/${MYFILE} 
+else
+   shift
+   cpp $@
+fi
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp3.sh
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp3.sh	(revision 2384)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/agrifpp3.sh	(revision 2384)
@@ -0,0 +1,68 @@
+#!/bin/bash
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+
+# ===========
+# agrifpp3.sh
+# ===========
+#
+# ----------------------------
+# Preform AGrif pre-processing
+# ----------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ agrifpp3.sh
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# Look after key agrif
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./agrifpp3.sh 1 -Dkey
+# 
+#  or
+#
+#  $ ./agrifpp3.sh -Dkey
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#
+#
+#   * creation
+#
+#-
+
+if [ "$1" == "1" ]; then
+   shift
+   MYFILE=`echo $* |awk -F" " '{print $NF}' `  
+   FPP_OPT=` echo $* |awk '{  for (i=1 ; i<NF ; i++ )  { printf " %s",  $i } }'`
+
+   cpp ${FPP_OPT} -I${NEMO_TDIR}/${NEW_CONF}/BLD/OPAFILES/BLD1/ppsrc/nemo//AGRIF_INC ${MYFILE} 
+else
+   shift
+   cpp $@
+fi
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld.cfg
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld.cfg	(revision 2383)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld.cfg	(revision 2384)
@@ -54,10 +54,10 @@
 bld::pp::nemo     1
 bld::pp::agrif    1
-bld::tool::fpp       $COMPIL_DIR/agrifpp.sh
-bld::tool::fppflags::nemo ${AGRIFUSE} %FPPFLAGS
-bld::tool::fppflags::xmlio    0 %FPPFLAGS
-bld::tool::fppflags::ioserver 0 %FPPFLAGS
-bld::tool::fppflags::ioipsl   0 %FPPFLAGS
-bld::tool::fppflags::agrif    0 %FPPFLAGS
+bld::tool::fpp       cpp
+bld::tool::fppflags::nemo  %FPPFLAGS
+bld::tool::fppflags::xmlio     %FPPFLAGS
+bld::tool::fppflags::ioserver  %FPPFLAGS
+bld::tool::fppflags::ioipsl    %FPPFLAGS
+bld::tool::fppflags::agrif     %FPPFLAGS
 
 # Ignore the following dependencies
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_afterconv.cfg
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_afterconv.cfg	(revision 2384)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_afterconv.cfg	(revision 2384)
@@ -0,0 +1,91 @@
+# ----------------------- FCM extract configuration file -----------------------
+cfg::type                           bld
+cfg::version                        1.0
+
+
+# ------------------------------------------------------------------------------
+# Build information
+# ------------------------------------------------------------------------------
+
+inc $COMPIL_DIR/arch_nemo.fcm
+inc $COMPIL_DIR/cpp.fcm
+
+search_src           1
+
+src::xmlf90::cml          $MAIN_DIR/EXTERNAL/XMLF90/src/cml
+src::xmlf90::dom          $MAIN_DIR/EXTERNAL/XMLF90/src/dom
+src::xmlf90::sax          $MAIN_DIR/EXTERNAL/XMLF90/src/sax
+src::xmlf90::strings      $MAIN_DIR/EXTERNAL/XMLF90/src/strings
+src::xmlf90::wxml         $MAIN_DIR/EXTERNAL/XMLF90/src/wxml
+src::xmlf90::xpath        $MAIN_DIR/EXTERNAL/XMLF90/src/xpath
+src::xmlio                $MAIN_DIR/EXTERNAL/XMLIO_SERVER/src/XMLIO
+src::ioserver             $MAIN_DIR/EXTERNAL/XMLIO_SERVER/src/IOSERVER
+src::ioipsl               $MAIN_DIR/EXTERNAL/IOIPSL/src
+src::agrif                $MAIN_DIR/EXTERNAL/AGRIF/AGRIF_FILES
+src::nemo                 $CONFIG_DIR/$NEW_CONF/BLD/OPAFILES/BLD2/ppsrc/nemo
+src::agrif2model          $CONFIG_DIR/$NEW_CONF/BLD/OPAFILES/BLD3/ppsrc
+
+#bld::lib::xmlf90           xmlf90
+#bld::lib::xmlio            xmlio
+#bld::lib::ioserver         ioserver
+#bld::lib::ioipsl           ioipsl
+#bld::lib::agrif            agrif
+#bld::lib::nemo             nemo
+#bld::target libxmlf90.a libioserver.a libxmlio.a libioipsl.a libagrif.a libnemo.a server.exe nemo.exe
+bld::target  server.exe nemo.exe
+bld::exe_dep
+
+
+dir::root            $NEMO_TDIR/$NEW_CONF/BLD
+
+
+bld::tool::fc        %FC 
+bld::tool::fflags    %FCFLAGS %USER_INC
+bld::tool::fflags::agrif   %FFLAGS %USER_INC
+bld::tool::ld        %LD
+bld::tool::ldflags   %LDFLAGS %USER_LIB
+bld::tool::ar        %AR
+bld::tool::arflags   %ARFLAGS
+bld::tool::make      %MK
+
+# Pre-process code before analysing dependencies
+bld::pp::xmlio    1
+bld::pp::ioserver 1
+bld::pp::ioipsl   1
+bld::pp::nemo     0
+bld::pp::agrif2model     0
+bld::pp::agrif    1
+bld::tool::fpp       cpp
+#bld::tool::fppflags::nemo  %FPPFLAGS 
+bld::tool::fppflags::xmlio     %FPPFLAGS
+bld::tool::fppflags::ioserver  %FPPFLAGS
+bld::tool::fppflags::ioipsl    %FPPFLAGS
+bld::tool::fppflags::agrif     %FPPFLAGS
+
+# Ignore the following dependencies
+bld::excl_dep        inc::netcdf.inc
+bld::excl_dep        inc::VT.inc
+bld::excl_dep        use::netcdf
+bld::excl_dep        h::netcdf.inc
+bld::excl_dep        h::mpif.h
+bld::excl_dep        inc::mpif.h
+bld::excl_dep        inc::mpe_logf.h
+bld::excl_dep        use::mpi
+bld::excl_dep        use::mod_prism_proto
+bld::excl_dep        use::mod_prism_def_partition_proto
+bld::excl_dep        use::mod_prism_get_comm
+bld::excl_dep        use::mod_prism_get_proto
+bld::excl_dep        use::mod_prism_put_proto
+bld::excl_dep        use::mod_comprism_proto
+bld::excl_dep        use::mkl_dfti
+# Don't generate interface files
+bld::tool::geninterface none
+
+# Allow ".h90" as an extension for CPP include files
+bld::infile_ext::h90  CPP::INCLUDE
+# extension for module output
+bld::outfile_ext::mod .mod
+
+# rename executable to nemo.exe
+bld::exe_name::model  nemo.exe
+
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_afterconvxio.cfg
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_afterconvxio.cfg	(revision 2384)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_afterconvxio.cfg	(revision 2384)
@@ -0,0 +1,79 @@
+# ----------------------- FCM extract configuration file -----------------------
+cfg::type                           bld
+cfg::version                        1.0
+
+
+# ------------------------------------------------------------------------------
+# Build information
+# ------------------------------------------------------------------------------
+
+inc $COMPIL_DIR/arch_nemo.fcm
+inc $COMPIL_DIR/cpp.fcm
+
+search_src           1
+
+src::ioipsl               $MAIN_DIR/EXTERNAL/IOIPSL/src
+src::agrif                $MAIN_DIR/EXTERNAL/AGRIF/AGRIF_FILES
+src::nemo                 $CONFIG_DIR/$NEW_CONF/BLD/OPAFILES/BLD2/ppsrc/nemo 
+src::agrif2model          $CONFIG_DIR/$NEW_CONF/BLD/OPAFILES/BLD3/ppsrc
+
+#bld::lib::xmlf90           xmlf90
+#bld::lib::xmlio            xmlio
+#bld::lib::ioserver         ioserver
+#bld::lib::ioipsl           ioipsl
+#bld::lib::agrif            agrif
+#bld::lib::nemo             nemo
+#bld::target libxmlf90.a libioserver.a libxmlio.a libioipsl.a libagrif.a libnemo.a server.exe nemo.exe
+bld::target   nemo.exe
+bld::exe_dep
+
+
+dir::root            $NEMO_TDIR/$NEW_CONF/BLD
+
+
+bld::tool::fc        %FC 
+bld::tool::fflags    %FCFLAGS %USER_INC
+bld::tool::fflags::agrif   %FFLAGS %USER_INC
+bld::tool::ld        %LD
+bld::tool::ldflags   %LDFLAGS %USER_LIB
+bld::tool::ar        %AR
+bld::tool::arflags   %ARFLAGS
+bld::tool::make      %MK
+
+# Pre-process code before analysing dependencies
+bld::pp::ioipsl   1
+bld::pp::nemo     1
+bld::pp::agrif    1
+bld::tool::fpp       cpp
+bld::tool::fppflags::nemo  %FPPFLAGS 
+bld::tool::fppflags::ioipsl    %FPPFLAGS
+bld::tool::fppflags::agrif     %FPPFLAGS
+
+# Ignore the following dependencies
+bld::excl_dep        inc::netcdf.inc
+bld::excl_dep        inc::VT.inc
+bld::excl_dep        use::netcdf
+bld::excl_dep        h::netcdf.inc
+bld::excl_dep        h::mpif.h
+bld::excl_dep        inc::mpif.h
+bld::excl_dep        inc::mpe_logf.h
+bld::excl_dep        use::mpi
+bld::excl_dep        use::mod_prism_proto
+bld::excl_dep        use::mod_prism_def_partition_proto
+bld::excl_dep        use::mod_prism_get_comm
+bld::excl_dep        use::mod_prism_get_proto
+bld::excl_dep        use::mod_prism_put_proto
+bld::excl_dep        use::mod_comprism_proto
+bld::excl_dep        use::mkl_dfti
+# Don't generate interface files
+bld::tool::geninterface none
+
+# Allow ".h90" as an extension for CPP include files
+bld::infile_ext::h90  CPP::INCLUDE
+
+# extension for module output
+bld::outfile_ext::mod .mod
+
+# rename executable to nemo.exe
+bld::exe_name::model  nemo.exe
+
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_agrif1.cfg
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_agrif1.cfg	(revision 2384)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_agrif1.cfg	(revision 2384)
@@ -0,0 +1,55 @@
+# ----------------------- FCM extract configuration file -----------------------
+cfg::type                           bld
+cfg::version                        1.0
+
+
+# ------------------------------------------------------------------------------
+# Build information
+# ------------------------------------------------------------------------------
+
+inc $COMPIL_DIR/arch_nemo.fcm
+inc $COMPIL_DIR/cpp.fcm
+
+search_src           1
+
+src::nemo                 $CONFIG_DIR/$NEW_CONF/WORK
+
+bld::exe_dep
+
+dir::root            $NEMO_TDIR/$NEW_CONF/BLD/OPAFILES/BLD1
+
+# Pre-process code before analysing dependencies
+bld::pp::nemo     1
+bld::pp::nemo/agrif2model.F90 0
+bld::tool::fpp       $COMPIL_DIR/agrifpp1.sh
+bld::tool::fppflags::nemo ${AGRIFUSE} %FPPFLAGS
+
+# Ignore the following dependencies
+bld::excl_dep        inc::netcdf.inc
+bld::excl_dep        inc::VT.inc
+bld::excl_dep        use::netcdf
+bld::excl_dep        h::netcdf.inc
+bld::excl_dep        h::mpif.h
+bld::excl_dep        inc::mpif.h
+bld::excl_dep        inc::mpe_logf.h
+bld::excl_dep        use::mpi
+bld::excl_dep        use::mod_prism_proto
+bld::excl_dep        use::mod_prism_def_partition_proto
+bld::excl_dep        use::mod_prism_get_comm
+bld::excl_dep        use::mod_prism_get_proto
+bld::excl_dep        use::mod_prism_put_proto
+bld::excl_dep        use::mod_comprism_proto
+bld::excl_dep        use::mkl_dfti
+bld::excl_dep        h::SetNumberofcells.h
+bld::excl_dep        inc::GetNumberofcells.h
+bld::excl_dep        inc::include_use_Alloc_agrif.h
+bld::excl_dep        inc::allocations_calls_agrif.h
+bld::excl_dep        inc::modtype_agrif.h
+bld::excl_dep        inc::probdim_agrif.h
+bld::excl_dep        inc::keys_agrif.h
+# Don't generate interface files
+bld::tool::geninterface none
+
+# Allow ".h90" as an extension for CPP include files
+bld::infile_ext::h90  CPP::INCLUDE
+bld::infile_ext::f90  FPP::FORTRAN::FORTRAN9X::SOURCE
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_agrif2.cfg
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_agrif2.cfg	(revision 2384)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_agrif2.cfg	(revision 2384)
@@ -0,0 +1,47 @@
+# ----------------------- FCM extract configuration file -----------------------
+cfg::type                           bld
+cfg::version                        1.0
+
+
+# ------------------------------------------------------------------------------
+# Build information
+# ------------------------------------------------------------------------------
+
+inc $COMPIL_DIR/arch_nemo.fcm
+inc $COMPIL_DIR/cpp.fcm
+
+search_src           1
+
+src::nemo                 $NEMO_TDIR/$NEW_CONF/BLD/OPAFILES/BLD1/ppsrc/nemo
+
+bld::exe_dep
+
+dir::root            $NEMO_TDIR/$NEW_CONF/BLD/OPAFILES/BLD2
+
+# Pre-process code before analysing dependencies
+bld::pp::nemo     1
+bld::tool::fpp       $COMPIL_DIR/agrifpp2.sh
+bld::tool::fppflags::nemo ${AGRIFUSE} %FPPFLAGS
+
+# Ignore the following dependencies
+bld::excl_dep        inc::netcdf.inc
+bld::excl_dep        inc::VT.inc
+bld::excl_dep        use::netcdf
+bld::excl_dep        h::netcdf.inc
+bld::excl_dep        h::mpif.h
+bld::excl_dep        inc::mpif.h
+bld::excl_dep        inc::mpe_logf.h
+bld::excl_dep        use::mpi
+bld::excl_dep        use::mod_prism_proto
+bld::excl_dep        use::mod_prism_def_partition_proto
+bld::excl_dep        use::mod_prism_get_comm
+bld::excl_dep        use::mod_prism_get_proto
+bld::excl_dep        use::mod_prism_put_proto
+bld::excl_dep        use::mod_comprism_proto
+bld::excl_dep        use::mkl_dfti
+# Don't generate interface files
+bld::tool::geninterface none
+
+# Allow ".h90" as an extension for CPP include files
+bld::infile_ext::h90  CPP::INCLUDE
+bld::infile_ext::f90  FPP::FORTRAN::FORTRAN9X::SOURCE
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_agrif3.cfg
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_agrif3.cfg	(revision 2384)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bld_agrif3.cfg	(revision 2384)
@@ -0,0 +1,45 @@
+# ----------------------- FCM extract configuration file -----------------------
+cfg::type                           bld
+cfg::version                        1.0
+
+
+# ------------------------------------------------------------------------------
+# Build information
+# ------------------------------------------------------------------------------
+
+inc $COMPIL_DIR/arch_nemo.fcm
+inc $COMPIL_DIR/cpp.fcm
+
+src::nemo                 $CONFIG_DIR/$NEW_CONF/WORK/agrif2model.F90
+
+bld::exe_dep
+
+dir::root            $NEMO_TDIR/$NEW_CONF/BLD/OPAFILES/BLD3
+
+# Pre-process code before analysing dependencies
+bld::pp::nemo     1
+bld::tool::fpp       $COMPIL_DIR/agrifpp3.sh
+bld::tool::fppflags::nemo ${AGRIFUSE} %FPPFLAGS
+
+# Ignore the following dependencies
+bld::excl_dep        inc::netcdf.inc
+bld::excl_dep        inc::VT.inc
+bld::excl_dep        use::netcdf
+bld::excl_dep        h::netcdf.inc
+bld::excl_dep        h::mpif.h
+bld::excl_dep        inc::mpif.h
+bld::excl_dep        inc::mpe_logf.h
+bld::excl_dep        use::mpi
+bld::excl_dep        use::mod_prism_proto
+bld::excl_dep        use::mod_prism_def_partition_proto
+bld::excl_dep        use::mod_prism_get_comm
+bld::excl_dep        use::mod_prism_get_proto
+bld::excl_dep        use::mod_prism_put_proto
+bld::excl_dep        use::mod_comprism_proto
+bld::excl_dep        use::mkl_dfti
+# Don't generate interface files
+bld::tool::geninterface none
+
+# Allow ".h90" as an extension for CPP include files
+bld::infile_ext::h90  CPP::INCLUDE
+bld::infile_ext::f90  FPP::FORTRAN::FORTRAN9X::SOURCE
Index: /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bldxio.cfg
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bldxio.cfg	(revision 2383)
+++ /branches/nemo_v3_3_beta/NEMOGCM/TOOLS/COMPILE/bldxio.cfg	(revision 2384)
@@ -37,8 +37,8 @@
 bld::pp::nemo     1
 bld::pp::agrif    1
-bld::tool::fpp       $COMPIL_DIR/agrifpp.sh
-bld::tool::fppflags::nemo ${AGRIFUSE} %FPPFLAGS
-bld::tool::fppflags::ioipsl   0 %FPPFLAGS
-bld::tool::fppflags::agrif    0 %FPPFLAGS
+bld::tool::fpp     cpp
+bld::tool::fppflags::nemo  %FPPFLAGS
+bld::tool::fppflags::ioipsl    %FPPFLAGS
+bld::tool::fppflags::agrif     %FPPFLAGS
 
 # Ignore the following dependencies